def BRANCH_NAME = env.BRANCH_NAME
def GIT_URL = 'https://gitlab.com/aws-developer/lambda-layer/core-logic-layer.git'


pipeline {
  agent any
  tools {
    nodejs '17.5.0'
  }
  stages {
    stage('Clone git repo') {
      steps {
        sh 'dir';
      }
    } 
    stage('Example') {
      steps {
        sh 'npm --version'
      }
    }
  }
}
